libetonyek::KEY2ParserState Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY2ParserState Class Reference

`#include <KEY2ParserState.h>`

Inheritance diagram for libetonyek::KEY2ParserState:

## Public Member Functions
| KEY2ParserState (KEY2Parser &parser, KEYCollector &collector, KEY2Dictionary &dict)
void | setVersion (unsigned version)
unsigned | getVersion () const
KEY2Dictionary & | getDictionary ()
KEYCollector & | getCollector ()
void | openBullets ()
void | openHeadline (int depth)
void | closeHeadline ()
void | closeBullets ()
IWORKTextPtr_t | getBodyText ()
IWORKTextPtr_t | getTitleText ()
Public Member Functions inherited from libetonyek::IWORKXMLParserState
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const
IWORKStylePtr_t | getStyleByName (const char *const name, const IWORKStyleMap_t &mainMap, bool mustExist=true) const

## Private Member Functions
| KEY2ParserState (const KEY2ParserState &)
KEY2ParserState & | operator= (const KEY2ParserState &)

## Private Attributes
unsigned | m_version
KEY2Dictionary & | m_dict
KEYCollector & | m_collector
bool | m_isHeadlineOpened
bool | m_isBulletsOpened
IWORKTextPtr_t | m_bodyText
IWORKTextPtr_t | m_titleText

## Additional Inherited Members
Public Attributes inherited from libetonyek::IWORKXMLParserState
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKFormatNameMap | m_formatNameMap
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
std::shared_ptr< IWORKTable > | m_currentTable
std::shared_ptr< IWORKText > | m_currentText

## Constructor & Destructor Documentation

## ◆ KEY2ParserState() [1/2]

libetonyek::KEY2ParserState::KEY2ParserState | ( | const KEY2ParserState & |  | ) |
| private

Referenced by KEY2ParserState(), and operator=().

## ◆ KEY2ParserState() [2/2]

libetonyek::KEY2ParserState::KEY2ParserState | ( | KEY2Parser & | parser,
|  | KEYCollector & | collector,
|  | KEY2Dictionary & | dict )

## Member Function Documentation

## ◆ closeBullets()

void libetonyek::KEY2ParserState::closeBullets | ( |  | ) |

## ◆ closeHeadline()

void libetonyek::KEY2ParserState::closeHeadline | ( |  | ) |

## ◆ getBodyText()

IWORKTextPtr_t libetonyek::KEY2ParserState::getBodyText | ( |  | ) |

## ◆ getCollector()

KEYCollector & libetonyek::KEY2ParserState::getCollector | ( |  | ) |

## ◆ getDictionary()

KEY2Dictionary & libetonyek::KEY2ParserState::getDictionary | ( |  | ) |

## ◆ getTitleText()

IWORKTextPtr_t libetonyek::KEY2ParserState::getTitleText | ( |  | ) |

## ◆ getVersion()

unsigned libetonyek::KEY2ParserState::getVersion | ( |  | ) | const

## ◆ openBullets()

void libetonyek::KEY2ParserState::openBullets | ( |  | ) |

## ◆ openHeadline()

void libetonyek::KEY2ParserState::openHeadline | ( | int | depth | ) |

## ◆ operator=()

KEY2ParserState & libetonyek::KEY2ParserState::operator= | ( | const KEY2ParserState & |  | ) |
| private

## ◆ setVersion()

void libetonyek::KEY2ParserState::setVersion | ( | unsigned | version | ) |

## Member Data Documentation

## ◆ m_bodyText

IWORKTextPtr_t libetonyek::KEY2ParserState::m_bodyText
| private

Referenced by closeBullets(), getBodyText(), KEY2ParserState(), openBullets(), and openHeadline().

## ◆ m_collector

KEYCollector& libetonyek::KEY2ParserState::m_collector
| private

Referenced by getCollector(), KEY2ParserState(), and openHeadline().

## ◆ m_dict

KEY2Dictionary& libetonyek::KEY2ParserState::m_dict
| private

Referenced by getDictionary(), and KEY2ParserState().

## ◆ m_isBulletsOpened

bool libetonyek::KEY2ParserState::m_isBulletsOpened
| private

Referenced by closeBullets(), KEY2ParserState(), and openBullets().

## ◆ m_isHeadlineOpened

bool libetonyek::KEY2ParserState::m_isHeadlineOpened
| private

Referenced by closeHeadline(), KEY2ParserState(), and openHeadline().

## ◆ m_titleText

IWORKTextPtr_t libetonyek::KEY2ParserState::m_titleText
| private

Referenced by closeBullets(), getTitleText(), KEY2ParserState(), openBullets(), and openHeadline().

## ◆ m_version

unsigned libetonyek::KEY2ParserState::m_version
| private

Referenced by getVersion(), KEY2ParserState(), and setVersion().

The documentation for this class was generated from the following files:

- KEY2ParserState.h
- KEY2ParserState.cpp